      SUBROUTINE SIGINI(SIGMA,COORDS,NTENS,NCRDS,NOEL,NPT,LAYER,
     1 KSPT,LREBAR,REBARN)
C
      INCLUDE 'ABA_PARAM.INC'
C
      DIMENSION SIGMA(NTENS),COORDS(NCRDS)
      CHARACTER*80 REBARN
	
      real aa,bb,cc
      aa=0.8	
      bb=0.75	
      SIGMA(3)=-10000*(100-COORDS(3))-3000*COORDS(1)-1700*COORDS(2)
      SIGMA(1)=aa*SIGMA(3)
      SIGMA(2)=bb*SIGMA(3)
      SIGMA(4)=0
      SIGMA(5)=0
      SIGMA(6)=0
c     write(*,*)  COORDS(3)
      RETURN
      END
